PCP_PROC_INFO(1)

NAME
pcp_proc_info - displays the information on the given Pgpool-II child process ID

SYNOPSIS

pcp_proc_info [options...] [pgpool_child_processid]

DESCRIPTION

pcp_proc_info displays the information on the given Pgpool-II child process ID.

OPTIONS

-a
--all
    Display all child processes and their available connection slots.

-P PID
--process-id=PID
    PID of Pgpool-II child process.

Other options
    See pcp_common_options(1).
If -a nor -P is not specified, process information of all connected Pgpool-II child process will be printed. In this case if there's no connected Pgpool-II child process, nothing but "No process information available" message will be printed.

EXAMPLE

Here is an example output:

        $ pcp_proc_info -p 11001 1406
        test t-ishii 2018-07-09 16:43:53 2018-07-09 16:44:08 3 0 1 1435 1 1406 0
        test t-ishii 2018-07-09 16:43:53 2018-07-09 16:44:08 3 0 1 1436 1 1406 1

The result is in the following order:

        1. connected database name
        2. connected user name
        3. process start-up timestamp
        4. connection created timestamp
        5. protocol major version
        6. protocol minor version
        7. connection-reuse counter
        8. PostgreSQL backend process id
        9. 1 if frontend conncted 0 if not
        10. pgpool child process id
        11. PostgreSQL backend id

If -a or --all option is not specified and there is no connection to the backends, nothing will be displayed. If there are multiple connections, one connection's information will be displayed on each line multiple times. Timestamps are displayed in EPOCH format.

The --verbose option can help understand the output. For example:

       $ pcp_proc_info -p 11001 --verbose 1406
       Database     : test
       Username     : t-ishii
       Start time   : 2018-07-09 16:43:53
       Creation time: 2018-07-09 16:44:08
       Major        : 3
       Minor        : 0
       Counter      : 1
       Backend PID  : 1435
       Connected    : 1
       PID          : 1406
       Backend ID   : 0
       Database     : test
       Username     : t-ishii
       Start time   : 2018-07-09 16:43:53
       Creation time: 2018-07-09 16:44:08
       Major        : 3
       Minor        : 0
       Counter      : 1
       Backend PID  : 1436
       Connected    : 1
       PID          : 1406
       Backend ID   : 1